<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FoodSwipe</title>

    <link href="stylesheet.css" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&display=swap" rel="stylesheet">
</head>
<body>
    <header>
        <div class="ColorStroke">
            <div class="links">
                <a id="LogoLink" href="swipePage.html" style="font-size:45px;">FoodSwipe</a>
                <a href="swipePage.html">Swipe</a>
                <a href="recipes.html">Recipes</a>
                <a href="friends.html">Friends</a>
                <a href="rssFeed.html">Rss</a>
            </div>

            <div class="loginLinks">
                <button id="Subscribe" style="background-color: var(--main-dark-color); cursor:pointer; color: #fcf9dc; height: 35px; border:none; font-size: larger;">Subscribe</button>
                <button id="SignInBtn" style="background-color: var(--main-orange-color); cursor:pointer; color: var(--main-dark-color); height: 30px; border:none; font-size: large;">Sign in</button>
            </div>
        </div>
    </header>

    <main>
        <h1>Swipe</h1>

        <recipe-intro image="">
            <span id="Title" slot="Title"></span>
            <span id="ShortText" slot="ShortText"></span>
            <span id="CookingTime" slot="CookingTime"></span>
            <span id="CookingDifficulty" slot="CookingDifficulty"></span>
            <span id="CookingServes" slot="CookingServes"></span>
        </recipe-intro>
        
        <div class="CommentButtons">
            <button id="ReturnBtn" style="width: 30%;"><img style="width: 40px; height: 40px;" src="../images/return.png"></button>
            <button id="AddBtn" style="width: 36%;"><img style="width: 45px; height: 45px;" src="../images/sauce.png"></button>
            <button id="ThrowAwayBtn" style="width: 30%;"><img style="width: 35px; height: 35px;" src="../images/recycle-bin.png"></button>
        </div>


        <div class="form-popup" id="ProfileForm" style="display:none">
            <form class="form-container" onsubmit="return false">
                <h2 style="text-decoration: none;">Profile</h2>
                <img src="../images/profileDummy.png" style="border-radius: 50%; width: 200px; height: 200px; margin: 20px;">
                
                <p id="displayNameBox"></p>

                <label>Email</label>
                <p id="emailBox"></p>
                <button style="background-color:var(--main-orange-color);  border:none; cursor: pointer; position: absolute; top:0px; right: 0px; margin: 10px;" id="CloseProfile" type="button"><img style="width: 20px; " src="../images/cross.png"></button>
                <button type='submit' class="LoginBtn" id="signOutBtn">Sign out</button>
            </form>
        </div>
        
    </main>

    <script type="module" src="../dist/bundleSwipePage.js"></script>
    <script src="../dist/recipeIntro.js"></script>

</body>
</html>